> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paynext.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a client-session

> Get a client-session by its id



## OpenAPI

````yaml /api-reference/openapi3.json get /client-session/{id}
openapi: 3.0.1
info:
  contact: {}
  description: Billing API
  title: Billing
  version: '2.0'
servers:
  - url: https://sandbox-api.paynext.com/
security: []
paths:
  /client-session/{id}:
    get:
      tags:
        - Client Session
      summary: Get a client-session
      description: Get a client-session by its id
      operationId: client-session-get
      parameters:
        - description: Specifies the version of the API to use
          in: header
          name: X-API-Version
          schema:
            enum:
              - 1.0.0
            type: string
            default: 1.0.0
          required: true
        - description: The ID of the client session to retrieve
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main_module_public_api.sessionResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pkg_server.HttpResErrorDTO'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pkg_server.HttpResErrorDTO'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pkg_server.HttpResErrorDTO'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pkg_server.HttpResErrorDTO'
          description: Internal Server Error
      security:
        - Auth: []
components:
  schemas:
    main_module_public_api.sessionResponse:
      properties:
        currency_details:
          allOf:
            - $ref: '#/components/schemas/main_module_public_api.CurrencyDetails'
          description: Currency-specific pricing and display information
          type: object
          x-order: '6'
        customer:
          allOf:
            - $ref: >-
                #/components/schemas/main_module_public_api.clientSessionCustomer
          description: Customer information associated with the client session
          type: object
          x-order: '2'
        expiry_date:
          description: Expiration date and time of the client session
          example: '2021-08-12T16:14:08.578695'
          type: string
          x-order: '1'
        id:
          description: >-
            ClientSession is a unique session identifier generated for the
            client
          example: d3b07384-d9a5-4d16-a5b1-3fa3d9b0b123
          type: string
          x-order: '0'
        payment:
          allOf:
            - $ref: '#/components/schemas/main_module_public_api.clientSessionPayment'
          description: Payment information associated with the client session
          type: object
          x-order: '4'
        plan:
          allOf:
            - $ref: >-
                #/components/schemas/main_module_public_api.createClientSessionPlanResponse
          description: Plan information associated with the client session
          type: object
          x-order: '5'
        subscription:
          allOf:
            - $ref: >-
                #/components/schemas/main_module_public_api.clientSessionSubscription
          description: Subscription information associated with the client session
          type: object
          x-order: '3'
      type: object
    pkg_server.HttpResErrorDTO:
      properties:
        error:
          allOf:
            - $ref: '#/components/schemas/pkg_server.HttpErrorDTO'
          description: Description of the error
          type: object
      type: object
    main_module_public_api.CurrencyDetails:
      properties:
        plan:
          allOf:
            - $ref: '#/components/schemas/main_module_public_api.PlanDetails'
          description: Pricing information based on payment, local and trial plans
          type: object
      type: object
    main_module_public_api.clientSessionCustomer:
      properties:
        address:
          allOf:
            - $ref: >-
                #/components/schemas/main_module_public_api.clientSessionCustomerAddress
          description: Address information of the customer
          type: object
        email:
          description: Email address of the customer
          example: jane.doe@example.com
          type: string
        external_id:
          description: External ID of the customer
          example: cust_123456789
          type: string
        id:
          description: >-
            ID of the existing customer, please provider either id or email,
            address, external id and metadata
          example: cus_11dfa45f-23b1-40f4-9e9b-c9d485915528
          type: string
        metadata:
          additionalProperties:
            type: string
          description: Custom metadata. A dictionary of key-value pairs
          example:
            key: value
          type: object
      type: object
    main_module_public_api.clientSessionPayment:
      properties:
        metadata:
          additionalProperties:
            type: string
          description: Custom metadata. A dictionary of key-value pairs
          example:
            key: value
          type: object
      type: object
    main_module_public_api.createClientSessionPlanResponse:
      properties:
        amount:
          description: Price amount  in minor units
          example: 1999
          type: integer
          x-order: '7'
        created_at:
          description: The date and time at which the plan was created in UTC format
          example: '2025-05-26T10:00:00Z'
          type: string
          x-order: '1'
        currency:
          description: >-
            The 3-letter currency code in ISO 4217 format. e.g. use USD for US
            dollars
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - IMP
            - INR
            - IQD
            - IRR
            - ISK
            - JEP
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STD
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - BOV
            - COU
            - CHE
            - CHW
            - MXV
            - UGX
            - VES
            - VND
            - VUV
            - XAF
            - XCD
            - XCG
            - XOF
            - XPF
            - YER
            - USD
          type: string
          x-order: '8'
        id:
          description: Unique identifier for the plan
          example: price_1a2b3c4d-5e6f-7a8b-9c0d-1e2f3a4b5c6d
          type: string
          x-order: '0'
        interval:
          description: Type of the billing period
          enum:
            - days
            - months
            - years
          type: string
          x-order: '5'
        interval_count:
          description: Number of billing periods per cycle
          example: 1
          type: integer
          x-order: '6'
        name:
          description: Display name of the plan
          example: Pro Plan
          type: string
          x-order: '3'
        trial:
          allOf:
            - $ref: >-
                #/components/schemas/main_module_public_api.createClientSessionPlanPriceResponse
          description: Information about trial price
          type: object
          x-order: '9'
        type:
          description: Type of the plan
          enum:
            - recurring
            - one-off
          example: recurring
          type: string
          x-order: '4'
        updated_at:
          description: The date and time of the last plan update in UTC format
          example: '2025-05-27T10:00:00Z'
          type: string
          x-order: '2'
      type: object
    main_module_public_api.clientSessionSubscription:
      properties:
        id:
          description: >-
            ID of the existing subscription, please provider either id or
            metadata for new subscription
          example: sub_11dfa45f-23b1-40f4-9e9b-c9d485915528
          type: string
        metadata:
          additionalProperties:
            type: string
          description: Custom metadata. A dictionary of key-value pairs
          example:
            key: value
          type: object
        proration_billing_mode:
          description: >-
            Proration billing mode. Controls how the customer is billed when the
            plan changes.
          enum:
            - prorated_immediately
            - full_immediately
          type: string
      type: object
    pkg_server.HttpErrorDTO:
      properties:
        message:
          description: Description of the error
          example: some error message
          type: string
      type: object
    main_module_public_api.PlanDetails:
      properties:
        due_now:
          allOf:
            - $ref: '#/components/schemas/main_module_public_api.DueNowPrice'
          description: Trial plan pricing details
          type: object
        local:
          allOf:
            - $ref: '#/components/schemas/main_module_public_api.LocalInfo'
          description: >-
            Optional localized pricing information (e.g., based on user’s
            location)
          type: object
        payment:
          allOf:
            - $ref: '#/components/schemas/main_module_public_api.PaymentInfo'
          description: Default payment pricing details
          type: object
        trial:
          $ref: '#/components/schemas/main_module_public_api.DueNowPrice'
      type: object
    main_module_public_api.clientSessionCustomerAddress:
      properties:
        country:
          description: ISO country code (e.g., US, DE)
          enum:
            - AD
            - AE
            - AF
            - AG
            - AL
            - AM
            - AO
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BW
            - BY
            - BZ
            - CA
            - CD
            - CF
            - CG
            - CH
            - CI
            - CL
            - CM
            - CN
            - CO
            - CR
            - CU
            - CU-P
            - CV
            - CW
            - CY
            - CZ
            - DE
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EC
            - EE
            - EG
            - ER
            - ES
            - ET
            - FI
            - FJ
            - FK
            - FM
            - FR
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GT
            - GU
            - GW
            - GY
            - HK
            - HN
            - HR
            - HT
            - HU
            - ID
            - IE
            - IL
            - IM
            - IN
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SG
            - SH
            - SI
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SV
            - SX
            - SY
            - SZ
            - TC
            - TD
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XK
            - YE
            - YT
            - ZA
            - ZM
            - ZW
          type: string
      required:
        - country
      type: object
    main_module_public_api.createClientSessionPlanPriceResponse:
      properties:
        amount:
          description: Price amount  in minor units
          example: 1999
          type: integer
          x-order: '7'
        currency:
          description: >-
            The 3-letter currency code in ISO 4217 format. e.g. use USD for US
            dollars
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - IMP
            - INR
            - IQD
            - IRR
            - ISK
            - JEP
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STD
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - BOV
            - COU
            - CHE
            - CHW
            - MXV
            - UGX
            - VES
            - VND
            - VUV
            - XAF
            - XCD
            - XCG
            - XOF
            - XPF
            - YER
            - USD
          type: string
          x-order: '8'
        interval:
          description: Type of the billing period
          enum:
            - days
            - months
            - years
          type: string
          x-order: '5'
        interval_count:
          description: Number of billing periods per cycle
          example: 1
          type: integer
          x-order: '6'
      type: object
    main_module_public_api.DueNowPrice:
      properties:
        local:
          allOf:
            - $ref: '#/components/schemas/main_module_public_api.LocalInfo'
          description: Localized due now pricing info
          type: object
        payment:
          allOf:
            - $ref: '#/components/schemas/main_module_public_api.PaymentInfo'
          description: Due now payment pricing
          type: object
      type: object
    main_module_public_api.LocalInfo:
      properties:
        amount:
          description: Localized amount in minor units
          example: 90
          type: integer
        currency:
          description: >-
            The 3-letter currency code in ISO 4217 format. e.g. use USD for US
            dollars
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - IMP
            - INR
            - IQD
            - IRR
            - ISK
            - JEP
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STD
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - BOV
            - COU
            - CHE
            - CHW
            - MXV
            - UGX
            - VES
            - VND
            - VUV
            - XAF
            - XCD
            - XCG
            - XOF
            - XPF
            - YER
            - USD
          type: string
        currency_decimals:
          description: >-
            CurrencyDecimals is the number of decimal places used by the
            currency (e.g., 2 for USD representing cents)
          example: 2
          type: integer
        currency_exchange_rate:
          description: Currency exchange rate compared to the default currency
          example: 0.9
          type: number
        currency_position:
          description: Position of the currency symbol (left or right)
          example: left
          type: string
        currency_symbol:
          description: Symbol of the local currency
          example: €
          type: string
        formatted_amount:
          description: Amount formatted as a string
          example: €0.90
          type: string
        formatted_amount_rounded:
          description: Amount formatted and rounded as a string
          example: €0.99
          type: string
      type: object
    main_module_public_api.PaymentInfo:
      properties:
        amount:
          description: Price amount  in minor units
          example: 100
          type: integer
        currency:
          description: >-
            The 3-letter currency code in ISO 4217 format. e.g. use USD for US
            dollars
          enum:
            - AED
            - AFN
            - ALL
            - AMD
            - AOA
            - ARS
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CAD
            - CDF
            - CHF
            - CLP
            - CNY
            - COP
            - CRC
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - EUR
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HTG
            - HUF
            - IDR
            - ILS
            - IMP
            - INR
            - IQD
            - IRR
            - ISK
            - JEP
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NGN
            - NIO
            - NOK
            - NPR
            - NZD
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLE
            - SOS
            - SRD
            - SSP
            - STD
            - STN
            - SVC
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - BOV
            - COU
            - CHE
            - CHW
            - MXV
            - UGX
            - VES
            - VND
            - VUV
            - XAF
            - XCD
            - XCG
            - XOF
            - XPF
            - YER
            - USD
          type: string
        currency_decimals:
          description: >-
            CurrencyDecimals is the number of decimal places used by the
            currency (e.g., 2 for USD representing cents)
          example: 2
          type: integer
        currency_position:
          description: Position of the currency symbol (left or right)
          example: left
          type: string
        currency_symbol:
          description: Symbol used to represent the currency
          example: $
          type: string
        formatted_amount:
          description: Amount formatted as a string
          example: $1.00
          type: string
      type: object
  securitySchemes:
    Auth:
      bearerFormat: JWT
      description: >-
        Authentication header of the form `api key`, where `api key` is your
        organization api key.
      scheme: bearer
      type: http

````